Skip to Content
kosemdocs
ReferenceAPIPurchases

List purchases

Lists an organization's purchases of credits, newest first.

GET
/v1/organizations/{organization}/purchases

Lists an organization's purchases of credits, newest first.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

organization*string

The organization's ID.

Match^org_[0-7][0-9a-hjkmnp-tv-z]{25}$

Query Parameters

pageSize?integer

Maximum number of items to return. Defaults to 50; values above 500 are treated as 500.

Formatint32
Range0 <= value
pageToken?string

Page token from a previous response.

Response Body

OK

application/json
  1. response
nextPageToken*string

Token for the next page; empty on the last page.

purchases*array<>

Purchases, newest first.

Example Request
curl -X GET 'https://api.kosem.ai/v1/organizations/string/purchases'
Example Response
{
  "nextPageToken": "string",
  "purchases": [
    {
      "amount": {
        "currencyCode": "string",
        "nanos": -999999999,
        "units": 0
      },
      "checkoutUri": "string",
      "createTime": "2019-08-24T14:15:22Z",
      "creditGrant": "string",
      "expireTime": "2019-08-24T14:15:22Z",
      "failure": "string",
      "invoiceUri": "string",
      "kind": "CHECKOUT",
      "name": "string",
      "receiptUri": "string",
      "state": "OPEN",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  ]
}